<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Forms Example</title>
</head>
<body>
  <h2>Forms Example</h2>

  <!-- Form Element -->
  <form>
    <!-- Text Input -->
    <label for="name">Name:</label>
    <input type="text" id="name" name="name" placeholder="Enter your name" required>
    <!-- Explanation: The "label" tag provides a text label for the input field. The "input" tag with "type" set to "text" represents a text input field. The "id" attribute uniquely identifies the input field and the "name" attribute specifies the name of the input field. The "placeholder" attribute displays a hint to the user, and the "required" attribute indicates that the field must be filled in before submitting the form. -->

    <!-- Email Input -->
    <label for="email">Email:</label>
    <input type="email" id="email" name="email" placeholder="Enter your email" required>
    <!-- Explanation: Similar to the text input, the "input" tag with "type" set to "email" represents an email input field. It performs basic validation to ensure a valid email address is entered. -->

    <!-- Password Input -->
    <label for="password">Password:</label>
    <input type="password" id="password" name="password" required>
    <!-- Explanation: The "input" tag with "type" set to "password" creates a password input field. It masks the entered characters to provide privacy and security. -->

    <!-- Checkbox -->
    <input type="checkbox" id="subscribe" name="subscribe" checked>
    <label for="subscribe">Subscribe to Newsletter</label>
    <!-- Explanation: The "input" tag with "type" set to "checkbox" represents a checkbox input. The "id" and "name" attributes identify the checkbox, and the associated "label" tag provides a text label for the checkbox. The "checked" attribute sets the initial checked state of the checkbox. -->

    <!-- Radio Buttons -->
    <label for="gender">Gender:</label>
    <input type="radio" id="male" name="gender" value="male" checked>
    <label for="male">Male</label>
    <input type="radio" id="female" name="gender" value="female">
    <label for="female">Female</label>
    <!-- Explanation: The "input" tag with "type" set to "radio" represents a radio button input. The "name" attribute groups the radio buttons together, allowing only one selection. The "value" attribute specifies the value associated with each radio button. -->

    <!-- Select Dropdown -->
    <label for="country">Country:</label>
    <select id="country" name="country">
      <option value="">Select a country</option>
      <option value="us">United States</option>
      <option value="ca">Canada</option>
      <option value="uk">United Kingdom</option>
    </select>
    <!-- Explanation: The "select" tag creates a dropdown/select list. Each "option" tag represents an option within the dropdown. The "value" attribute specifies the value associated with each option. The initial default option is specified with an empty value. -->

    <!-- Textarea -->
    <label for="message">Message:</label>
    <textarea id="message" name="message" rows="4" cols="30" placeholder="Enter your message"></textarea>
    <!-- Explanation: The "textarea" tag creates a multiline text input field. The "rows" and "cols" attributes define the size of the textarea. -->

    <!-- Submit Button -->
    <button type="submit">Submit</button>
    <!-- Explanation: The "button" tag with "type" set to "submit" represents a submit button. Clicking this button will trigger the form submission. -->
  </form>
</body>
</html>

<!-- This example demonstrates various form elements such as text inputs, email inputs, password inputs, checkboxes, radio buttons, select dropdowns, textareas, and a submit button. -->